## seccure 0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-CFLAGS = -O2 -Wall # -D NOBEEP
+CFLAGS = -O2 -Wall -Wextra -std=c89 -pedantic -D_POSIX_C_SOURCE=200112 # -D NOBEEP
+LIBS = -lgcrypt
 
 default: binaries # doc
 
@@ -28,8 +29,8 @@
 
 
 seccure-key: seccure.o numtheory.o ecc.o serialize.o protocol.o curves.o aes256ctr.o
-	$(CC) $(CFLAGS) -o seccure-key -lgcrypt seccure.o numtheory.o ecc.o \
-	curves.o serialize.o protocol.o aes256ctr.o
+	$(CC) $(CFLAGS) -o seccure-key seccure.o numtheory.o ecc.o \
+	curves.o serialize.o protocol.o aes256ctr.o $(LIBS)
 	strip seccure-key
 
 seccure-encrypt: seccure-key
