=== debian/changelog ===
seccure (0.5-1) unstable; urgency=medium

  * New maintainer. Thanks James! (Closes: #797688)
  * Imported Upstream version 0.5
  * d/patches: refresh
  * d/copyright: update & switch GPL-2+ to LGPL-3+
  
 -- Tomasz Buchert <tomasz@debian.org>  Thu, 03 Sep 2015 11:14:26 +0200
