=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: seccure
 Section: utils
 Priority: optional
-Maintainer: James Westby <jw+debian@jameswestby.net>
+Maintainer: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 9), libgcrypt-dev, xmltoman
 Homepage: http://point-at-infinity.org/seccure/
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/collab-maint/seccure.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/seccure.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/seccure.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/seccure.git
 
 Package: seccure
 Architecture: any
