=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make seccure.1

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_auto_test:
	cd test && make
