=== debian/watch ===
version=3
http://point-at-infinity.org/seccure/seccure-([\d\.]+)\.tar\.gz
